/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

//This file has the labels of the left menu navigation from admin page

import React from "react";
import HomeIcon from "@material-ui/icons/Home";
import PeopleRoundedIcon from "@material-ui/icons/PeopleRounded";
import ContactSupportRoundedIcon from "@material-ui/icons/ContactSupportRounded";
import LanguageRoundedIcon from "@material-ui/icons/LanguageRounded";
import AccountBalanceRoundedIcon from "@material-ui/icons/AccountBalanceRounded";
import MenuBookRoundedIcon from "@material-ui/icons/MenuBookRounded";
import StarRoundedIcon from "@material-ui/icons/StarRounded";
import AccountCircleRoundedIcon from "@material-ui/icons/AccountCircleRounded";
import TrendingUpRoundedIcon from "@material-ui/icons/TrendingUpRounded";
import HelpRoundedIcon from "@material-ui/icons/HelpRounded";
import CheckRoundedIcon from "@material-ui/icons/CheckRounded";
import PersonRoundedIcon from "@material-ui/icons/PersonRounded";
import BlockRoundedIcon from "@material-ui/icons/BlockRounded";
import AnnouncementRoundedIcon from "@material-ui/icons/AnnouncementRounded";
import EmailRoundedIcon from "@material-ui/icons/EmailRounded";
import AllOutIcon from "@material-ui/icons/AllOut";

const orange = "#ff7f00";
const pink = "#e81f4f";
const purple = "#673ab7";
const blue = "#00bcd4";

const TabsItens = [
    {
        label: "Home",
        href: '/admin/home',
        icon: <HomeIcon style={{ fill: orange }} />,
    },
    {
        label: 'Coleções',
        href: '/admin/Collections',
        icon: <PeopleRoundedIcon style={{ fill: pink }} />
    },
    {
        label: "Atividades",
        href: '/admin/activities',
        icon: <AllOutIcon style={{ fill: purple }} />,
    },
    {
        label: "Dúvidas da comunidade",
        href: '/admin/CommunityQuestions',
        icon: <ContactSupportRoundedIcon style={{ fill: blue }} />,
    },
    {
        label: "Instituições",
        href: '/admin/intitutions',
        icon: <AccountBalanceRoundedIcon style={{ fill: orange }} />,
    },
    {
        label: "Linguagens",
        href: '/admin/languages',
        icon: <LanguageRoundedIcon style={{ fill: pink }} />,
    },
    {
        label: "Objetos educacionais",
        href: "/admin/learningObjects",
        icon: <MenuBookRoundedIcon style={{ fill: purple }} />,
    },
    {
        label: "Rating",
        href: '/admin/Ratings',
        icon: <StarRoundedIcon style={{ fill: blue }} />,
    },
    {
        label: "Permissões do usuário",
        href: "/admin/permissions",
        icon: <AccountCircleRoundedIcon style={{ fill: orange }} />,
    },
    {
        label: "Variáveis de nota",
        href: '/admin/noteVars',
        icon: <TrendingUpRoundedIcon style={{ fill: pink }} />,
    },
    {
        label: "Perguntas curadoria",
        href: "/admin/Questions",
        icon: <HelpRoundedIcon style={{ fill: purple }} />,
    },
    {
        label: "Aprovação de professores",
        href: "/admin/users/teacher_requests",
        icon: <CheckRoundedIcon style={{ fill: blue }} />,
    },
    {
        label: "Usuários",
        href: "/admin/usersList",
        icon: <PersonRoundedIcon style={{ fill: orange }} />,
    },
    {
        label: "Usuários bloqueados",
        href: "/admin/BlockedUsers",
        icon: <BlockRoundedIcon style={{ fill: pink }} />,
    },
    {
        label: "Denúncias",
        href: "/admin/complaints",
        icon: <AnnouncementRoundedIcon style={{ fill: purple }} />,
    },
    {
        label: "Enviar email",
        href: '/admin/sendEmail',
        icon: <EmailRoundedIcon style={{ fill: blue }} />,
    },
];

export { TabsItens };
